org.red5.io.m4a.impl

## Class M4A

- java.lang.Object
- - org.red5.io.m4a.impl.M4A

All Implemented Interfaces:
  IStreamableFile, IM4A

    public class M4A
    extends Object
    implements IM4A

A M4AImpl implements the M4A api

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire, (mondain@gmail.com)

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`M4A()` Default constructor, used by Spring so that parameters may be injected.
`M4A(File file)` Create M4A from given file source

### Method Summary

Methods
`ITagWriter` `getAppendWriter()` Returns a Writer which is setup to append to the file.
`ITagReader` `getReader()` Returns a reader to parse and read the tags inside the file.
`ITagWriter` `getWriter()` Returns a writer that creates a new file or truncates existing contents.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### M4A

    public M4A()

Default constructor, used by Spring so that parameters may be injected.

#### M4A

    public M4A(File file)

Create M4A from given file source

Parameters:
  `file` - File source

### Method Detail

#### getReader

    public ITagReader getReader()
                         throws IOException

Returns a reader to parse and read the tags inside the file.

Specified by:
  `getReader` in interface `IStreamableFile`
Returns:
  the reader Tag reader
Throws:
  `IOException` - I/O exception

#### getWriter

    public ITagWriter getWriter()
                         throws IOException

Returns a writer that creates a new file or truncates existing contents.

Specified by:
  `getWriter` in interface `IStreamableFile`
Returns:
  the writer Tag writer
Throws:
  `IOException` - I/O exception

#### getAppendWriter

    public ITagWriter getAppendWriter()
                               throws IOException

Description copied from interface: `IStreamableFile`
Returns a Writer which is setup to append to the file.

Specified by:
  `getAppendWriter` in interface `IStreamableFile`
Returns:
  the writer Tag writer used for append mode
Throws:
  `IOException` - I/O exception